﻿body {
    font-family: 'Calibri' !important;
}

.bg-primary {
    background-color: #3E2761 !important;
}

.bg-secondary {
    background-color: #A47CB5 !important;
}

.bg-yellow {
    background-color: #F6D188 !important;
}

.bg-red {
    background-color: #E07979 !important;
}

.bg-orange {
    background-color: #FFAD69 !important;
}

.c-sidebar {
    background-color: #3E2761;
}

.text-black {
    color: #000 !important;
}

td.icon-cell {
    text-align: center;
}

.full-width{
    width:100%;
}

.gas-electric-margin{
    margin-bottom:-2px;
}
.count-banner-spacing {
    padding-top: 5px;
    padding-left: 15px;
    padding-bottom: 1px;
    margin-bottom: 5px;
}

.certificate-label{
    margin-left: 14px;
    width: 100%;
}
.yes-no-margin{
    margin-left:20px;
}

.completion-pack-label-td{
    width: 70%;
    vertical-align: middle !important;
}

.approve-btn{
    margin-bottom:10px;
}
.engineer-label{
    margin-left: -15px;
}
.completion-pack-chk-td {
    width: 10%;
    vertical-align: middle !important;
}

form#asset-value-quote-request label.error {
    display: none;
}

#domesticProperty label.quantity-label {
    padding-top: 6px;
    font-weight: bold;
}

.design-pack-label-indent{
    margin-left:14px;
}

.design-pack-select-indent {
    margin-left: 14px;
    margin-bottom: 0;
    padding-top: 3px;
    padding-right: 38px;
}

.design-pack-assign-margin{
    margin-bottom:20px;
}

.design-pack-select-width{
    width:73% !important;
}

.design-pack-add-label {
    margin-left: 14px;
    background-color: #dcdcdc;
}
.design-pack-addr-indent{
    margin-left:28px;
}
.design-pack-italic{
    font-style:italic;
}
.design-pack-chk{
    margin-right:20px;
}
.design-pack-chk-td{
    width:60%;
    vertical-align:middle !important;
}
.designPackBottomMargin{
    margin-bottom:8px;
}
.designPackCollapseSection {
    border: thin;
    padding: 20px;
    background-color: #f1f1f1;
    margin-bottom: 30px;
}

.designPackCollapseSection.sub {
    background-color: #f8f8f8;
}



.designPack-collapse-btn {
    margin-left: auto; 
    display: block;
}
.designPackUploadCell{
    display:flex;
}
.designPackBar {
    margin-bottom: 5px;
    display: flex;
    flex-wrap: wrap;
    background-color: #3E2761;
    padding: 5px 10px 10px 5px;
    cursor: pointer;
    background-image: url('/img/close-icon-light.png');
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: right 15px top 11px;
}

.certificateForm{
    background-color: #ffffff;
}

.multiPackBar {
    height: 50px;
    margin-bottom: 5px;
    display: flex;
    flex-wrap: wrap;
    background-color: #A7C7E7;
    padding: 5px 10px 10px 5px;
    cursor: pointer;
    background-image: url('/img/close-icon-light.png');
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: right 15px top 11px;
}

.infoBar {
    margin-bottom: 5px;
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
    background-repeat: no-repeat;
    background-size: 25px;
    background-position: right 15px top 11px;
}

.designPackEngineerBar {
    margin-bottom: 10px;
    display: flex;
    flex-wrap: wrap;
    padding: 5px 10px 10px 5px;
    cursor: pointer;
}

.designPackBar.sub {
    background-color: #f8f8f8;
    background-image: url('/img/close-icon.png');
}

.designPackBar.collapsed {
    background-image: url('/img/open-icon-light.png');
}

.multiPackBar.collapsed {
    background-image: url('/img/open-icon-light.png');
}

.designPackBar.sub.collapsed {
    background-image: url('/img/open-icon.png');
}

.packApproved {
    background-color: #d5f1de !important;
    border-color: #d5f1de !important;
}

.packUploaded {
    background-color: #ACE7FF !important;
    border-color: #ACE7FF !important;
}

.packCritical {
    background-color: #fadddd !important;
    border-color: #fadddd !important;
}

.packRequired {
    background-color: #FAC898 !important;
    border-color: #FAC898 !important;
}

.packOptional {
    background-color: #E6E6FA !important;
    border-color: #E6E6FA !important;
}


.designPackBarLabel {
    margin-left: 10px;
    margin-top: 8px;
    color: #f8f8f8;
    font-size: 120%;
}

.designPackBar.sub .designPackBarLabel {
    font-size: 100%;
    color: #3E2761;
}

.badge {
    white-space: normal;
    width: min-content;
}

form#editUip .btn {
    min-width: 65px;
}

.btn-primary {
    background-color: #3E2761;
    border-color: #3E2761;
}

.btn-primary:hover {
    background-color: #B6AFC6;
    border-color: #B6AFC6;
    color: #3E2761 !important;
}

a, a:hover {
    color: #3E2761;
}

.c-sidebar-brand {
    background-color: #fff !important;
}

.c-sidebar-brand img {
    width: 140px;
}

.c-sidebar {
    box-shadow: none !important;
}

.c-sidebar-nav-link:hover {  
    background: rgba(255,255,255,.1) !important;
}

.c-active {
    background: rgba(255,255,255,.1) !important;
}

.nav-pills .nav-link.active {
    background-color: #3E2761 !important;
}

.page-link {
    color: #3E2761 !important;
}

.page-item.active .page-link {
    background-color: #3E2761 !important;
    border-color: #3E2761 !important;
    color: #fff !important;
}

.loginPage {
    height: 100%;
}

.login-left-panel {
    background-color: #3E2761;
    padding: 40px;
    color: #fff;
}

.mobile-hide .login-left-panel {
    display: none;
}

    .login-left-panel h1 {
        margin-bottom: 1.5rem;
    }

.login-left-panel .ctas {
    margin-top: 1.5rem;
}

.login-right-panel {
    background-color: white;
    padding-top: 40px;
}

.login-right-panel img {
    width: 50%;
    margin-bottom: 50px;
}

    .login-right-panel input[type=email], #account input[type=password], #confirmEmail input[type=password] {
        width: 80%;
    }

    .login-right-panel .field-validation-error {
        margin-top: 10px;
    }

#account, #confirmEmail {
    margin: 0 auto;
    width: 75%;
}

.footerInfo {
    margin-top: 30px;
}

div.dataTables_wrapper div.dataTables_length select {
    min-width: 60px;
}

.dropdown-item.active {
    background-color: #3E2761;
}

.horizontalScroll {
    overflow-x: scroll;
}

.field-validation-error {
    width: 100%;
    margin-top: .25rem;
    font-size: 80%;
    color: #e55353;
}

.valid {
    background-color: #f5fff5;
    border: solid 1px #d2f8d2;
    color: #000;
}

.input-validation-error {
    background-color: #ffeded;
    border: solid 1px #e55353;
}

.fiv-cla {
    font-size: 2em;
    margin-right: 10px;
}

#documentsTableContainer {
    margin-bottom: 20px;
}

.checkboxLarge {
    transform: scale(1.5);
}

.checkboxForm {
    transform: scale(1.5);
    margin-top: 15px;
    border-color: #e4e7ea;
}

.displayNone {
    display: none;
}

.displayBlock {
    display: block;
}

.connectionTypeChoice {
    margin-top: 15px;
    cursor: pointer;
}

.connectionTypeChoice p {
    padding-top: 15px;
    font-size: 160%;
}

.siteTypeBanner {
    width: 30%;
    left: 35%;
    height: 50px;
    position: fixed;
    top: -2px;
    z-index: 10000;
    color: #fff;
    text-align: center;
    font-size: 150%;
    padding-top: 7px;
}

.siteTypeBanner.dev {
    background-color: #FB6962;
    border: solid 2px #A90000;
}

.siteTypeBanner.live {
    background-color: #79DE79;
    border: solid 2px #0CC078;
}

#submitting-quote-request {
    font-size: 125%;
}

.navbar.navbar-dark .navbar-nav .nav-link{
    color: #fff !important;    
}

.dropdown-menu {
    width: 62rem;
    white-space: normal !important;    
}

thead{
    background-color: white;
    border-bottom: 2px solid grey;
}

.card-header{
    font-size: 120%;
}

/*Project prpogress bar*/

.progress-container {
    margin-bottom: 2rem;
    margin-top: 1rem;
    width: 100%;
    padding: 0 15px;
}

.step-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.step-icon {
    font-size: 1.5rem;
    color: #d8dbe0;
    transition: color 0.4s ease;
    position: relative;
    z-index: 2;
    background-color: #fff;
    padding: 0 5px; /* Adds space around the icon */
}

    .step-icon.active {
        color: #20a8d8;
    }

.progress-bar {
    height: 8px;
    background-color: #e4e6ef;
    position: absolute;
    width: 100%;
    z-index: 1;
    border-radius: 1rem;
}

.progress-bar-fill {
    height: 100%;
    background-color: #3E2761;
    border-radius: 1rem;
    transition: width 0.4s ease;
}

.status-labels {
    display: flex;
    justify-content: space-between;
    margin-top: 0.5rem;
}

    .status-labels span {
        font-size: 0.9rem;
        color: #6c757d;
        font-weight: bold;
        text-align: center;
        flex: 1;
        margin-top: 0.5rem;
    }

.actions {
    display: flex;
    justify-content: center;
    gap: 1rem;
    margin-top: 2rem;
}


/*end project progress bar*/




@media (min-width: 767px) {
    .login-right-panel {
        padding: 100px 40px;
    }
}

@media (min-width: 1025px) {
    .login-left-panel {
        padding: 175px 140px 150px 100px;
    }

    .login-right-panel {
        padding-top: 150px;
        overflow-y: auto;
        height: 100%;
    }

    .mobile-hide .login-left-panel {
        display: block;
    }


}

@media (max-width: 632px) {
    div#dataTable_wrapper {
        overflow-x: scroll;
    }
}